/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package es.ua.jtech.servcweb.binario.servlet;

import es.ua.jtech.servcweb.binario.stub.BinarioSWService;
import java.io.*;
import java.net.*;

import javax.servlet.*;
import javax.servlet.http.*;
import javax.xml.ws.WebServiceRef;

/**
 *
 * @author Miguel Angel
 */
public class ServletPrueba extends HttpServlet {
    @WebServiceRef(wsdlLocation = "http://localhost:8080/servcweb-sesion03-binario/BinarioSWService?wsdl")
    private BinarioSWService service;
   
    /** 
    * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
    * @param request servlet request
    * @param response servlet response
    */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        PrintWriter out = response.getWriter();
        try {
            
            out.println("<html>");
            out.println("<head>");
            out.println("<title>Servlet ServletPrueba</title>");  
            out.println("</head>");
            out.println("<body>");
            out.println("<h1>Servlet ServletPrueba at " + request.getContextPath () + "</h1>");
            
            
            try { // Call Web Service Operation
                es.ua.jtech.servcweb.binario.stub.BinarioSW port = service.getBinarioSWPort();
                // TODO process result here
                byte[] result = port.getData();
                out.println("Result = "+result.length);
                ((Closeable)port).close();
            } catch (Exception ex) {
                // TODO handle custom exceptions here
            }

            
            out.println("</body>");
            out.println("</html>");
            
        } finally { 
            out.close();
        }
    } 

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** 
    * Handles the HTTP <code>GET</code> method.
    * @param request servlet request
    * @param response servlet response
    */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    } 

    /** 
    * Handles the HTTP <code>POST</code> method.
    * @param request servlet request
    * @param response servlet response
    */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
    * Returns a short description of the servlet.
    */
    public String getServletInfo() {
        return "Short description";
    }
    // </editor-fold>
}
